function [IdEstudiante,Requerimiento1Estudiante,Requerimiento2Estudiante,Requerimiento3Estudiante,Requerimiento4Estudiante,Requerimiento5Estudiante,Requerimiento6Estudiante,SemestreCursadoEstudiante,CapacidadDiaEstudianteLunes,CapacidadDiaEstudianteMartes, CapacidadDiaEstudianteMiercoles, CapacidadDiaEstudianteJueves, CapacidadDiaEstudianteViernes, CapacidadDiaEstudianteSabado, CapacidadSemanaEstudiante] = Estudiante(workbookFile,sheetName,startRow,endRowEstudiante)
%IMPORTFILE Import data from a spreadsheet
%   [IdEstudiante1,Requerimiento1Estudiante1,Requerimiento2Estudiante1,Requerimiento3Estudiante1,Requerimiento4Estudiante1,Requerimiento5Estudiante1,Requerimiento6Estudiante1,Requerimiento7Estudiante1,Requerimiento8Estudiante1,SemestreCursadoEstudiante1,CapacidadDiaEstudiante1,CapacidadSemanaEstudiante1]
%   = IMPORTFILE(FILE) reads data from the first worksheet in the Microsoft
%   Excel spreadsheet file named FILE and returns the data as column
%   vectors.
%
%   [IdEstudiante1,Requerimiento1Estudiante1,Requerimiento2Estudiante1,Requerimiento3Estudiante1,Requerimiento4Estudiante1,Requerimiento5Estudiante1,Requerimiento6Estudiante1,Requerimiento7Estudiante1,Requerimiento8Estudiante1,SemestreCursadoEstudiante1,CapacidadDiaEstudiante1,CapacidadSemanaEstudiante1]
%   = IMPORTFILE(FILE,SHEET) reads from the specified worksheet.
%
%   [IdEstudiante1,Requerimiento1Estudiante1,Requerimiento2Estudiante1,Requerimiento3Estudiante1,Requerimiento4Estudiante1,Requerimiento5Estudiante1,Requerimiento6Estudiante1,Requerimiento7Estudiante1,Requerimiento8Estudiante1,SemestreCursadoEstudiante1,CapacidadDiaEstudiante1,CapacidadSemanaEstudiante1]
%   = IMPORTFILE(FILE,SHEET,STARTROW,ENDROW) reads from the specified
%   worksheet for the specified row interval(s). Specify STARTROW and
%   ENDROW as a pair of scalars or vectors of matching size for
%   dis-contiguous row intervals. To read to the end of the file specify an
%   ENDROW of inf.
%
%	Non-numeric cells are replaced with: 0.0
%
% Example:
%   [IdEstudiante1,Requerimiento1Estudiante1,Requerimiento2Estudiante1,Requerimiento3Estudiante1,Requerimiento4Estudiante1,Requerimiento5Estudiante1,Requerimiento6Estudiante1,Requerimiento7Estudiante1,Requerimiento8Estudiante1,SemestreCursadoEstudiante1,CapacidadDiaEstudiante1,CapacidadSemanaEstudiante1] = importfile('Libro1.xlsx','Hoja1',1,1048576);
%
%   See also XLSREAD.

% Auto-generated by MATLAB on 2019/06/22 11:01:53

%% Input handling

% If no sheet is specified, read first sheet
if nargin == 1 || isempty(sheetName)
    sheetName = 1;
end

% If row start and end points are not specified, define defaults
if nargin <= 3
    startRow = 1;
    endRowEstudiante = 1048576;
end

%% Import the data
[~, ~, raw] = xlsread(workbookFile, sheetName, sprintf('J%d:X%d',startRow(1),endRowEstudiante(1)));
for block=2:length(startRow)
    [~, ~, tmpRawBlock] = xlsread(workbookFile, sheetName, sprintf('J%d:X%d',startRow(block),endRowEstudiante(block)));
    raw = [raw;tmpRawBlock]; %#ok<AGROW>
end
raw(cellfun(@(x) ~isempty(x) && isnumeric(x) && isnan(x),raw)) = {''};

raw = raw(:,[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15]);

%% Replace non-numeric cells with 0.0
R = cellfun(@(x) (~isnumeric(x) && ~islogical(x)) || isnan(x),raw); % Find non-numeric cells
raw(R) = {0.0}; % Replace non-numeric cells

%% Create output variable
I = cellfun(@(x) ischar(x), raw);
raw(I) = {NaN};
data = reshape([raw{:}],size(raw));

%% Allocate imported array to column variable names
IdEstudiante = data(:,1);
Requerimiento1Estudiante = data(:,2);
Requerimiento2Estudiante = data(:,3);
Requerimiento3Estudiante = data(:,4);
Requerimiento4Estudiante = data(:,5);
Requerimiento5Estudiante = data(:,6);
Requerimiento6Estudiante = data(:,7);
SemestreCursadoEstudiante = data(:,8);
CapacidadDiaEstudianteLunes = data(:,9);
CapacidadDiaEstudianteMartes = data(:,10);
CapacidadDiaEstudianteMiercoles = data(:,11);
CapacidadDiaEstudianteJueves = data(:,12);
CapacidadDiaEstudianteViernes = data(:,13);
CapacidadDiaEstudianteSabado = data(:,14);
CapacidadSemanaEstudiante = data(:,15);

