function [IdProfesor,EspecialidadProfesor,CapacidadDiaProfesorLunes,CapacidadDiaProfesorMartes,CapacidadDiaProfesorMiercoles,CapacidadDiaProfesorJueves,CapacidadDiaProfesorViernes,CapacidadDiaProfesorSabado,CapacidadSemanaProfesor,TipoContratoProfesor1,TipoContratoProfesor2,PreferenciaHoraProfesor1,PreferenciaHoraProfesor2] = Profesor(workbookFile,sheetName,startRow,endRowProfesor)
%IMPORTFILE Import data from a spreadsheet
%   [IdProfesor1,EspecialidadProfesor1,CapacidadDiaProfesor1,CapacidadSemanaProfesor1,TipoContratoProfesor3,TipoContratoProfesor4,PreferenciaHoraProfesor13,PreferenciaHoraProfesor14,PreferenciaHoraProfesor15,PreferenciaHoraProfesor16,PreferenciaHoraProfesor17,PreferenciaHoraProfesor18,PreferenciaHoraProfesor19,PreferenciaHoraProfesor20,PreferenciaHoraProfesor21,PreferenciaHoraProfesor22,PreferenciaHoraProfesor23,PreferenciaHoraProfesor24]
%   = IMPORTFILE(FILE) reads data from the first worksheet in the Microsoft
%   Excel spreadsheet file named FILE and returns the data as column
%   vectors.
%
%   [IdProfesor1,EspecialidadProfesor1,CapacidadDiaProfesor1,CapacidadSemanaProfesor1,TipoContratoProfesor3,TipoContratoProfesor4,PreferenciaHoraProfesor13,PreferenciaHoraProfesor14,PreferenciaHoraProfesor15,PreferenciaHoraProfesor16,PreferenciaHoraProfesor17,PreferenciaHoraProfesor18,PreferenciaHoraProfesor19,PreferenciaHoraProfesor20,PreferenciaHoraProfesor21,PreferenciaHoraProfesor22,PreferenciaHoraProfesor23,PreferenciaHoraProfesor24]
%   = IMPORTFILE(FILE,SHEET) reads from the specified worksheet.
%
%   [IdProfesor1,EspecialidadProfesor1,CapacidadDiaProfesor1,CapacidadSemanaProfesor1,TipoContratoProfesor3,TipoContratoProfesor4,PreferenciaHoraProfesor13,PreferenciaHoraProfesor14,PreferenciaHoraProfesor15,PreferenciaHoraProfesor16,PreferenciaHoraProfesor17,PreferenciaHoraProfesor18,PreferenciaHoraProfesor19,PreferenciaHoraProfesor20,PreferenciaHoraProfesor21,PreferenciaHoraProfesor22,PreferenciaHoraProfesor23,PreferenciaHoraProfesor24]
%   = IMPORTFILE(FILE,SHEET,STARTROW,ENDROW) reads from the specified
%   worksheet for the specified row interval(s). Specify STARTROW and
%   ENDROW as a pair of scalars or vectors of matching size for
%   dis-contiguous row intervals. To read to the end of the file specify an
%   ENDROW of inf.
%
%	Non-numeric cells are replaced with: NaN
%
% Example:
%   [IdProfesor1,EspecialidadProfesor1,CapacidadDiaProfesor1,CapacidadSemanaProfesor1,TipoContratoProfesor3,TipoContratoProfesor4,PreferenciaHoraProfesor13,PreferenciaHoraProfesor14,PreferenciaHoraProfesor15,PreferenciaHoraProfesor16,PreferenciaHoraProfesor17,PreferenciaHoraProfesor18,PreferenciaHoraProfesor19,PreferenciaHoraProfesor20,PreferenciaHoraProfesor21,PreferenciaHoraProfesor22,PreferenciaHoraProfesor23,PreferenciaHoraProfesor24] = importfile('Libro1.xlsx','Hoja1',1,1048576);
%
%   See also XLSREAD.

% Auto-generated by MATLAB on 2019/06/22 10:26:54

%% Input handling

% If no sheet is specified, read first sheet
if nargin == 1 || isempty(sheetName)
    sheetName = 1;
end

% If row start and end points are not specified, define defaults
if nargin <= 3
    startRow = 1;
    endRowProfesor = 1048576;
end

%% Import the data
[~, ~, raw] = xlsread(workbookFile, sheetName, sprintf('AD%d:AP%d',startRow(1),endRowProfesor(1)));
for block=2:length(startRow)
    [~, ~, tmpRawBlock] = xlsread(workbookFile, sheetName, sprintf('AD%d:AP%d',startRow(block),endRowProfesor(block)));
    raw = [raw;tmpRawBlock]; %#ok<AGROW>
end
raw(cellfun(@(x) ~isempty(x) && isnumeric(x) && isnan(x),raw)) = {''};

%% Replace non-numeric cells with NaN
R = cellfun(@(x) ~isnumeric(x) && ~islogical(x),raw); % Find non-numeric cells
raw(R) = {NaN}; % Replace non-numeric cells

%% Create output variable
I = cellfun(@(x) ischar(x), raw);
raw(I) = {NaN};
data = reshape([raw{:}],size(raw));

%% Allocate imported array to column variable names
IdProfesor = data(:,1);
EspecialidadProfesor = data(:,2);
CapacidadDiaProfesorLunes = data(:,3);
CapacidadDiaProfesorMartes = data(:,4);
CapacidadDiaProfesorMiercoles = data(:,5);
CapacidadDiaProfesorJueves = data(:,6);
CapacidadDiaProfesorViernes = data(:,7);
CapacidadDiaProfesorSabado = data(:,8);
CapacidadSemanaProfesor = data(:,9);
TipoContratoProfesor1 = data(:,10);
TipoContratoProfesor2 = data(:,11);
PreferenciaHoraProfesor1 = data(:,12);
PreferenciaHoraProfesor2 = data(:,13);


